htmlpage {annotate} | R Documentation

## Functions to build HTML pages

### Description

This function is a modification of `ll.htmlpage`, designed to be able to create links for more than one set of ids.

### Usage

    htmlpage(genelist, filename, title, othernames, table.head, table.center = TRUE, repository = "ll")

### Arguments

`genelist` | A list or `data.frame` of character vectors containing ids to be made into hypertext links. See details for more information.
`filename` | A filename for the resultant HTML table.
`title` | A title for the table.
`othernames` | A list or `data.frame` of other things to add to the table. These will not be hyperlinks. The list of othernames can contain vectors, matrices, `data.frames` or lists.
`table.head` | A character vector of column headers for the table.
`table.center` | Center the table? Defaults to `TRUE`.
`repository` | A list of repositories to use for creating the hypertext links. See details for more information.

### Details

This is a modification of `ll.htmlpage`, which is limited to a single column of hyperlinked ids and lists of vectors for othernames. This function will accept a list or `data.frame` of character vectors, each containing different ids that are to be turned into hyperlinks (e.g., a list containing affy ids, genbank accession numbers, and locus link ids). For instances where there are more than one id per gene, use a sub-list of character vectors. See the vignette 'prettyOutput' for more information. Othernames should be a list or `data.frame`. Again, if there are multiple entries for a given gene, use a sub-list.

### Value

This function is used only for the side effect of creating an HTML table.

### Author(s)

Robert Gentleman <rgentlem@jimmy.harvard.edu>, further modifications by James W. MacDonald <jmacdon@med.umich.edu>

### Examples

    library(annotate)
    gnames <- as.character(6810:6820)
    htmlpage(gnames, "fff.html")
    file.remove("fff.html")

[Package annotate version 1.10.0 Index]